import { MaybePromise } from '.';
import { Cache } from './cache';
import { FlatDict, ICUArgument, ICUDateArgument } from './types';
export declare function translate<F = never>({ dicts, sourceDict, id, values, fallback, fallbackIgnoresFallbackLocales, placeholder, locale, warn, cache, ignoreMissingArgs, providedArgs, }: {
    dicts: MaybePromise<FlatDict>[];
    sourceDict?: MaybePromise<FlatDict> | null;
    id: string;
    values?: any;
    fallback?: F | ((id: string, sourceTranslation?: string | readonly string[]) => F);
    fallbackIgnoresFallbackLocales?: boolean;
    placeholder?: F | ((id: string, sourceTranslation?: string | readonly string[]) => F);
    locale: string;
    warn?: (locale: string, id: string) => void;
    cache: Cache;
    ignoreMissingArgs: boolean | string | ((id: string, template: string) => string) | undefined;
    providedArgs: Record<string, ICUArgument | ICUDateArgument> | undefined;
}): string | F | (string | F)[] | F;
export declare function format({ template, values, locale, cache, ignoreMissingArgs, providedArgs, }: {
    template: string;
    values?: Record<string, unknown>;
    locale?: string;
    cache: Cache;
    ignoreMissingArgs: boolean | string | ((id: string, template: string) => string) | undefined;
    providedArgs: Record<string, ICUArgument | ICUDateArgument> | undefined;
}): string;
